what you don't know can hurt you

HP Security Bulletin HPSBUX02697 SSRT100591 2

HP Security Bulletin HPSBUX02697 SSRT100591 2
Posted Jan 30, 2012
Authored by HP | Site hp.com

HP Security Bulletin HPSBUX02697 SSRT100591 2 - Potential security vulnerabilities have been identified in Java Runtime Environment (JRE) and Java Developer Kit (JDK) running on HP-UX. These vulnerabilities could allow remote unauthorized access, disclosure of information, and other vulnerabilities. Revision 2 of this advisory.

tags | advisory, java, remote, vulnerability
systems | hpux
advisories | CVE-2011-0786, CVE-2011-0788, CVE-2011-0802, CVE-2011-0814, CVE-2011-0815, CVE-2011-0817, CVE-2011-0862, CVE-2011-0863, CVE-2011-0864, CVE-2011-0865, CVE-2011-0866, CVE-2011-0867, CVE-2011-0868, CVE-2011-0869, CVE-2011-0871, CVE-2011-0872, CVE-2011-0873
MD5 | f81a46fb7c45c36468485a1af46e45ba

HP Security Bulletin HPSBUX02697 SSRT100591 2

Change Mirror Download
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

SUPPORT COMMUNICATION - SECURITY BULLETIN

Document ID: c02945548
Version: 2

HPSBUX02697 SSRT100591 rev.2 - HP-UX Running Java, Remote Unauthorized Access, Disclosure of Information, and Other Vulnerabilities

NOTICE: The information in this Security Bulletin should be acted upon as soon as possible.

Release Date: 2011-12-14
Last Updated: 2012-01-30

------------------------------------------------------------------------------

Potential Security Impact: Remote unauthorized access, disclosure of information, and other vulnerabilities

Source: Hewlett-Packard Company, HP Software Security Response Team

VULNERABILITY SUMMARY
Potential security vulnerabilities have been identified in Java Runtime Environment (JRE) and Java Developer Kit (JDK) running on HP-UX. These vulnerabilities could allow remote unauthorized access, disclosure of information, and other vulnerabilities.

References: CVE-2011-0786, CVE-2011-0788, CVE-2011-0802, CVE-2011-0814, CVE-2011-0815, CVE-2011-0817, CVE-2011-0862, CVE-2011-0863, CVE-2011-0864, CVE-2011-0865, CVE-2011-0866, CVE-2011-0867, CVE-2011-0868, CVE-2011-0869, CVE-2011-0871, CVE-2011-0872, CVE-2011-0873.

SUPPORTED SOFTWARE VERSIONS*: ONLY impacted versions are listed.
HP-UX B.11.11, B.11.23, B.11.31 running HP JDK and JRE 6.0.10 or earlier
HP-UX B.11.11, B.11.23, B.11.31 running HP JDK and JRE 5.0.23 or earlier
HP-UX B.11.11, B.11.23, B.11.31 running HP JDK and JRE 1.4.2.27 or earlier

BACKGROUND

CVSS 2.0 Base Metrics
Reference and Affectivity / Base Vector / Base Score

CVE-2011-0786 (1) / AV:N/AC:H/Au:N/C:C/I:C/A:C / 7.6

CVE-2011-0788 (1) / AV:N/AC:H/Au:N/C:C/I:C/A:C / 7.6

CVE-2011-0802 (1) (2) / AV:N/AC:L/Au:N/C:C/I:C/A:C / 10.0

CVE-2011-0814 (1) (2) / AV:N/AC:L/Au:N/C:C/I:C/A:C / 10.0

CVE-2011-0815 (1) (2) / AV:N/AC:L/Au:N/C:C/I:C/A:C / 10.0

CVE-2011-0817 (1) / AV:N/AC:L/Au:N/C:C/I:C/A:C / 10.0

CVE-2011-0862 (1) (2) / AV:N/AC:L/Au:N/C:C/I:C/A:C / 10.0

CVE-2011-0863 (1) / AV:N/AC:L/Au:N/C:C/I:C/A:C / 10.0

CVE-2011-0864 (1) (2) / AV:N/AC:L/Au:N/C:C/I:C/A:C / 10.0

CVE-2011-0865 (1) (2) / AV:N/AC:H/Au:N/C:N/I:P/A:N / 2.6

CVE-2011-0866 (1) (2) / AV:N/AC:H/Au:N/C:C/I:C/A:C / 7.6

CVE-2011-0867 (1) (2) / AV:N/AC:L/Au:N/C:P/I:N/A:N / 5.0

CVE-2011-0868 (1) / AV:N/AC:L/Au:N/C:P/I:N/A:N / 5.0

CVE-2011-0869 (1) / AV:N/AC:L/Au:N/C:P/I:N/A:N / 5.0

CVE-2011-0871 (1) (2) / AV:N/AC:L/Au:N/C:C/I:C/A:C / 10.0

CVE-2011-0872 (1) (2) / AV:N/AC:L/Au:N/C:N/I:N/A:P / 5.0

CVE-2011-0873 (1) (2) / AV:N/AC:L/Au:N/C:C/I:C/A:C / 10.0

Information on CVSS is documented in HP Customer Notice: HPSN-2008-002
NOTE:
(1) Resolved in HP JDK / JRE 6.0.12 and subsequent.
(2) Resolved in HP JDK / JRE 5.0.24 and subsequent. It is recommended to upgrade to JDK and JRE 6.0.12 or later if possible, to resolve all of the above CVE vulnerabilities.
HP JDK / JRE 1.4.2.27 includes only CVE-2010-4476. It is recommended to upgrade to JDK and JRE 6.0.12 or later if possible, to resolve all of the above CVE vulnerabilities.

RESOLUTION

HP has provided the following upgrades to resolve these vulnerabilities
The upgrades are available from the following location

http://www.hp.com/go/java

HP-UX B.11.11, B.11.23, B.11.31

JDK and JRE v6.0.12 or subsequent
JDK and JRE v5.0.24 or subsequent

MANUAL ACTIONS: Yes - Update
For Java v6.0.10 and earlier, update to Java v6.0.12 or subsequent
For Java v5.0.23 and earlier, update to Java v5.0.24 or subsequent
For Java v1.4.2.27 and earlier, update to Java v5.X or v6.X

PRODUCT SPECIFIC INFORMATION

HP-UX Software Assistant: HP-UX Software Assistant is an enhanced application that replaces HP-UX Security Patch Check. It analyzes all Security Bulletins issued by HP and lists recommended actions that may apply to a specific HP-UX system. It can also download patches and create a depot automatically. For more information see https://www.hp.com/go/swa

The following text is for use by the HP-UX Software Assistant.

AFFECTED VERSIONS

HP-UX B.11.11
HP-UX B.11.23
HP-UX B.11.31
===========
Jre15.JRE15-COM
Jre15.JRE15-PA20
Jre15.JRE15-PA20-HS
Jre15.JRE15-PA20W
Jre15.JRE15-PA20W-HS
Jre15.JRE15-IPF32
Jre15.JRE15-IPF32-HS
Jre15.JRE15-IPF64
Jre15.JRE15-IPF64-HS
Jdk15.JDK15-PA20
Jdk15.JDK15-PA20W
Jdk15.JDK15-COM
Jdk15.JDK15-IPF32
Jdk15.JDK15-IPF64
action: install revision 1.5.0.24.00 or subsequent

Jre60.JRE60-COM
Jre60.JRE60-IPF32
Jre60.JRE60-IPF32-HS
Jre60.JRE60-IPF64
Jre60.JRE60-IPF64-HS
Jre60.JRE60-PA20
Jre60.JRE60-PA20-HS
Jre60.JRE60-PA20W
Jre60.JRE60-PA20W-HS
Jdk60.JDK60-COM
Jdk60.JDK60-IPF32
Jdk60.JDK60-IPF64
Jdk60.JDK60-PA20
Jdk60.JDK60-PA20W
action: install revision 1.6.0.12.00 or subsequent

END AFFECTED VERSIONS

HISTORY
Version:1 (rev.1) 14 December 2011 Initial release
Version:2 (rev.2) 30 January 2012 Corrected CVE table entries contained in 1.4.2.27 and it's affectivity

Third Party Security Patches: Third party security patches that are to be installed on systems running HP software products should be applied in accordance with the customer's patch management policy.

Support: For issues about implementing the recommendations of this Security Bulletin, contact normal HP Services support channel. For other issues about the content of this Security Bulletin, send e-mail to security-alert@hp.com.

Report: To report a potential security vulnerability with any HP supported product, send Email to: security-alert@hp.com

Subscribe: To initiate a subscription to receive future HP Security Bulletin alerts via Email: http://h41183.www4.hp.com/signup_alerts.php?jumpid=hpsc_secbulletins

Security Bulletin List: A list of HP Security Bulletins, updated periodically, is contained in HP Security Notice HPSN-2011-001: https://h20566.www2.hp.com/portal/site/hpsc/public/kb/docDisplay/?docId=emr_na-c02964430

Security Bulletin Archive: A list of recently released Security Bulletins is available here: http://h20566.www2.hp.com/portal/site/hpsc/public/kb/secBullArchive/

Software Product Category: The Software Product Category is represented in the title by the two characters following HPSB.

3C = 3COM
3P = 3rd Party Software
GN = HP General Software
HF = HP Hardware and Firmware
MP = MPE/iX
MU = Multi-Platform Software
NS = NonStop Servers
OV = OpenVMS
PI = Printing and Imaging
PV = ProCurve
ST = Storage Software
TU = Tru64 UNIX
UX = HP-UX

Copyright 2012 Hewlett-Packard Development Company, L.P.
Hewlett-Packard Company shall not be liable for technical or editorial errors or omissions contained herein. The information provided is provided "as is" without warranty of any kind. To the extent permitted by law, neither HP or its affiliates, subcontractors or suppliers will be liable for incidental,special or consequential damages including downtime cost; lost profits;damages relating to the procurement of substitute products or services; or damages for loss of data, or software restoration. The information in this document is subject to change without notice. Hewlett-Packard Company and the names of Hewlett-Packard products referenced herein are trademarks of Hewlett-Packard Company in the United States and other countries. Other product and company names mentioned herein may be trademarks of their respective owners.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk8nEQIACgkQ4B86/C0qfVmhMACg6F2V8Rk73E5EFEHnPQYyv4rt
+qEAn1D8Hmdze4mpMUS4wSNchLlO/uwZ
=4/v8
-----END PGP SIGNATURE-----
Login or Register to add favorites

File Archive:

June 2020

  • Su
  • Mo
  • Tu
  • We
  • Th
  • Fr
  • Sa
  • 1
    Jun 1st
    10 Files
  • 2
    Jun 2nd
    9 Files
  • 3
    Jun 3rd
    0 Files
  • 4
    Jun 4th
    0 Files
  • 5
    Jun 5th
    0 Files
  • 6
    Jun 6th
    0 Files
  • 7
    Jun 7th
    0 Files
  • 8
    Jun 8th
    0 Files
  • 9
    Jun 9th
    0 Files
  • 10
    Jun 10th
    0 Files
  • 11
    Jun 11th
    0 Files
  • 12
    Jun 12th
    0 Files
  • 13
    Jun 13th
    0 Files
  • 14
    Jun 14th
    0 Files
  • 15
    Jun 15th
    0 Files
  • 16
    Jun 16th
    0 Files
  • 17
    Jun 17th
    0 Files
  • 18
    Jun 18th
    0 Files
  • 19
    Jun 19th
    0 Files
  • 20
    Jun 20th
    0 Files
  • 21
    Jun 21st
    0 Files
  • 22
    Jun 22nd
    0 Files
  • 23
    Jun 23rd
    0 Files
  • 24
    Jun 24th
    0 Files
  • 25
    Jun 25th
    0 Files
  • 26
    Jun 26th
    0 Files
  • 27
    Jun 27th
    0 Files
  • 28
    Jun 28th
    0 Files
  • 29
    Jun 29th
    0 Files
  • 30
    Jun 30th
    0 Files

Top Authors In Last 30 Days

File Tags

Systems

packet storm

© 2020 Packet Storm. All rights reserved.

Services
Security Services
Hosting By
Rokasec
close